Bug 573929 - Review Request: perl-Compress-Raw-Zlib - Low-Level Interface to zlib compression library
Summary: Review Request: perl-Compress-Raw-Zlib - Low-Level Interface to zlib compress...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mark Chappell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: perl-IO-Compress
TreeView+ depends on / blocked
 
Reported: 2010-03-16 08:45 UTC by Marcela Mašláňová
Modified: 2013-01-10 05:47 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-01-10 11:04:51 UTC
tremble: fedora-review+


Attachments (Terms of Use)

Description Marcela Mašláňová 2010-03-16 08:45:00 UTC
Spec URL: http://mmaslano.fedorapeople.org/review/perl-Compress-Raw-Zlib.spec
SRPM URL: http://mmaslano.fedorapeople.org/review/perl-Compress-Raw-Zlib-2.024-1.fc13.src.rpm
Description: The Compress::Raw::Zlib module provides a Perl interface to the zlib
compression library (see "AUTHOR" for details about where to get zlib).

Comment 1 Iain Arnell 2010-03-16 16:47:56 UTC
This one is bundling a private copy of zlib. It needs the same BUILD_ZLIB=False stuff the previous spec had.

I don't think we need the comment in description about where to get zlib, either.

And maybe use %{?perl_default_filter} to avoid providing Zlib.so().

Comment 2 Mark Chappell 2010-03-16 16:51:26 UTC
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [!] Package meets the Packaging Guidelines including the Perl specific items
   * Looks like a bundled ZLib
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=2056653
 [x] Rpmlint output:
vampire:~ $ rpmlint perl-Compress-Raw-Zlib-*
perl-Compress-Raw-Zlib.src: E: specfile-error sh: line 1: fg: no job control
perl-Compress-Raw-Zlib.src: E: specfile-error sh: line 1: fg: no job control
3 packages and 0 specfiles checked; 2 errors, 0 warnings.
*These are fine*
 [x] Package is not relocatable.
 [x] Buildroot is correct
     Buildroot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license. 
     License type: GPL+ or Artistic
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided in the spec URL.
5b637dbb36955b13db261f049fe529d9  Compress-Raw-Zlib-2.024.tar.gz
5b637dbb36955b13db261f049fe529d9  Compress-Raw-Zlib-2.024.tar.gz.1
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -fR $RPM_BUILD_ROOT.
 [!] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [x] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=2056654
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on: fedora-rawhide-x86_64 and fedora-rawhide-i686
 [-] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [] The placement of pkgconfig(.pc) files is correct.
 [] File based requires are sane.
 [x] %check is present and the tests pass
+ make test
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0, 'blib/lib', 'blib/arch')" t/*.t
t/000prereq.t ...... ok
t/01version.t ...... ok
t/02zlib.t ......... ok
t/07bufsize.t ...... ok
t/09limitoutput.t .. ok
t/18lvalue.t ....... ok
t/99pod.t .......... skipped: Test::Pod 1.00 required for testing POD
All tests successful.
Files=7, Tests=699,  3 wallclock secs ( 0.11 usr  0.06 sys +  2.14 cusr  0.16 csys =  2.47 CPU)
Result: PASS

===

Couple of  issues,

* Looks like it's using the bundled zlib, see the README for details on how to avoid this http://cpansearch.perl.org/src/PMQS/Compress-Raw-Zlib-2.024/README

* You're using $RPM_BUILD_ROOT and $RPM_OPT_FLAGS where the rest of the time you're using %{} macros this feels wrong, but is probably okay...

Comment 3 Chris Weyl 2010-03-16 19:03:40 UTC
(In reply to comment #1)
> And maybe use %{?perl_default_filter} to avoid providing Zlib.so().    

Yep -- this should be done, and is safe to do in the independent subpackages.

Comment 4 Marcela Mašláňová 2010-03-17 08:16:05 UTC
I merged the old spec file from F-8, which fixed mentioned issues. The Zlib.so has been filtered. 

Probably I should obsoletes this sub-package in perl.spec.

New version:
http://mmaslano.fedorapeople.org/review/perl-Compress-Raw-Zlib-2.024-2.fc14.src.rpm
http://mmaslano.fedorapeople.org/review/perl-Compress-Raw-Zlib.spec

Comment 5 Mark Chappell 2010-03-17 20:03:08 UTC
$ rpmlint perl-Compress-Raw-Zlib-2.024-2.fc14.*.rpm
perl-Compress-Raw-Zlib.src: E: specfile-error sh: line 1: fg: no job control
perl-Compress-Raw-Zlib.src: E: specfile-error sh: line 1: fg: no job control
perl-Compress-Raw-Zlib.src: E: specfile-error sh: line 1: fg: no job control
2 packages and 0 specfiles checked; 3 errors, 0 warnings.

Logs show it's no longer building it's own zlib

http://koji.fedoraproject.org/koji/getfile?taskID=2059728


APPROVED

Comment 6 Marcela Mašláňová 2010-03-18 07:42:49 UTC
Thanks for review. I don't see from rpmlint in F-13 these warnings.

Comment 7 Marcela Mašláňová 2010-03-18 07:43:57 UTC
New Package CVS Request
=======================
Package Name: perl-Compress-Raw-Zlib 
Short Description: Low-Level Interface to zlib compression library
Owners: mmaslano
Branches: F-13
InitialCC: perl-sig

Comment 8 Kevin Fenzi 2010-03-19 20:05:59 UTC
This package already seems to be in fedora. ;) 

https://admin.fedoraproject.org/pkgdb/acls/name/perl-Compress-Raw-Zlib

Comment 9 Marcela Mašláňová 2010-03-22 07:34:10 UTC
This package was dead, now it's needed again as separeted package. Sadly Fedora pkgdb show even branches, where the package was dead, which is not comprehensible.

Comment 10 Marcela Mašláňová 2010-03-29 07:20:02 UTC
I still need F-13 branch. Could you add it please?

New Package CVS Request
=======================
Package Name: perl-Compress-Raw-Zlib 
Short Description: Low-Level Interface to zlib compression library
Owners: mmaslano
Branches: F-13
InitialCC: perl-sig

Comment 11 Marcela Mašláňová 2010-03-29 07:54:52 UTC
And also for devel branch as I unsuccessfully tried :)

Comment 12 Kevin Fenzi 2010-03-30 21:35:42 UTC
Odd, I see this package being owned by you in all of 
F-11/F-12/F-13/devel branches. 

What issue are you seeing exactly? 

Ah. I think I see the problem. Try now?

Comment 13 Marcela Mašláňová 2010-03-31 07:30:02 UTC
http://koji.fedoraproject.org/koji/taskinfo?taskID=2086189

F-13 the same problem http://koji.fedoraproject.org/koji/taskinfo?taskID=2086203
You can also notice that I can't set all permission in package database even if I'm a proven packager see https://admin.fedoraproject.org/pkgdb/acls/name/perl-Compress-Raw-Zlib?_csrf_token=5bd4b080cc97e953ac5b0ed297d050912298a00a

The package is still tag as dead and I can't remove it. What should I do next? I removed dead.package from cvs.

Comment 14 Marcela Mašláňová 2010-04-06 08:44:15 UTC
The problem is that package is blocked in collection:
BuildError: package perl-Compress-Raw-Zlib is blocked for tag dist-f14

The "blocking" is a part of retiring packages in howto "the package to be blocked from the appropriate collections in which it is retired". Therefore you should unblock it somewhere.

Comment 15 Mark Chappell 2010-04-07 07:49:40 UTC
BuildError: package perl-Compress-Raw-Zlib is blocked for tag dist-f14

IIRC that means it's blocked in koji, you'll need to speak to rel-eng.

(can't remember how to list the blocked packages outside of postgres)

Comment 16 Kevin Fenzi 2010-04-08 02:42:24 UTC
You need to file a ticket with rel-eng to get it unblocked. 

https://fedorahosted.org/rel-eng/newticket

Comment 17 Marcela Mašláňová 2010-04-08 05:17:42 UTC
Ticket: https://fedorahosted.org/rel-eng/ticket/3591

Comment 18 Ville Skyttä 2010-05-07 20:48:44 UTC
Looks like there are some F-13 and F-14 builds now in koji, should this bug be closed?

Comment 19 Marcela Mašláňová 2010-05-10 08:14:17 UTC
Good point, thanks.

Comment 20 Jesse Keating 2011-08-15 16:13:24 UTC
Bringing this package in should have resulted in removing the perl-Compress-Raw-Zlib subpackage of the base perl package, but that has not happened.  This is causing some issues with trying to use Fedora as an external repo in Koji, as there are now two different perl-Compress-Raw-Zlib packages with different srpm versions and koji doesn't like that at all.  Please clean up the base perl package ore re-block this one.

Comment 21 Marcela Mašláňová 2011-08-15 16:50:21 UTC
We created two packages on purpose. From rpm side it should work and we didn't think about koji. 
Could you be more specific about those koji problems? We have more packages than this one, which live their dual lifes.

Comment 22 Jesse Keating 2011-08-15 17:14:30 UTC
Upon closer look, there may not actually be a problem with this package in particular.  Koji looks at the srpm for each package it sees in all the repos added, and will only take packages that come from the newest srpm if there are multiple.

Because secondary arches are a bit behind koji, I'm running into a situation where we have newer and older packages that are coming from the same named srpm and I have to sort them out accordingly.  Something is throwing perl for a loop and I thought it was this, because there were multiple in the same repo, but the srpm names don't match, so this may not actually be a problem.  I'm doing more investigation.

What is the reason for having multiple of the same?

Comment 23 Dennis Gilmore 2011-08-15 17:22:16 UTC
Marcela, you need to rename one of these. there are a few issues here. 1 is that you can only ever install one of these, whichever is the highest nvr will always be chosen, 2 is that koji only ever allows you to have a rpm with a single nvra once so if perl starts to provide a version thats already existed seperatly you will not be able to build perl or vice versa. 

i do not know what this dual life thing your talking about is suppose dto mean, but yum and rpm will only let you install a single version of a package name unless specifically configured otherwise like the kernel is. i suspect that things do not work however your thinking that they should be.

Comment 24 Iain Arnell 2011-08-16 03:16:16 UTC
Dennis, we only want to install one of these. Effectively, perl-Compress-Raw-Zlib has two separate upstreams: perl and cpan. Sometimes perl has the latest version, and sometimes cpan. We simply want to be able to have the latest package available in fedora without having to continually block/unblock this package - the history here shows how troublesome that was to do just once. We've had several dual-life packages for over a year now and things are working exactly as we expect them to on our end.

And we're unlikely to run into duplicate nvras since we're already stuck with ever increasing release numbers in the perl package.

Comment 25 Fedora Update System 2011-08-16 09:05:22 UTC
perl-Compress-Raw-Zlib-2.037-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-Compress-Raw-Zlib-2.037-4.fc16

Comment 26 Fedora Update System 2011-08-16 09:44:07 UTC
perl-CPAN-Meta-YAML-0.003-7.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-CPAN-Meta-YAML-0.003-7.fc16

Comment 27 Fedora Update System 2011-08-16 13:48:15 UTC
perl-Perl-OSType-1.002-7.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-Perl-OSType-1.002-7.fc16

Comment 28 Fedora Update System 2011-08-16 14:09:52 UTC
perl-Test-Simple-0.98-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-Test-Simple-0.98-3.fc16

Comment 29 Fedora Update System 2011-08-16 14:21:59 UTC
perl-version-0.88-6.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-version-0.88-6.fc16

Comment 30 Fedora Update System 2011-08-16 14:28:03 UTC
perl-threads-1.83-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-threads-1.83-4.fc16

Comment 31 Fedora Update System 2011-08-17 10:54:09 UTC
perl-threads-shared-1.37-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-threads-shared-1.37-3.fc16

Comment 32 Fedora Update System 2011-08-17 11:09:51 UTC
perl-parent-0.225-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-parent-0.225-4.fc16

Comment 33 Fedora Update System 2011-08-28 05:22:44 UTC
perl-Perl-OSType-1.002-7.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 34 Fedora Update System 2011-08-28 05:24:50 UTC
perl-Compress-Raw-Zlib-2.037-4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 35 Fedora Update System 2011-08-28 05:32:54 UTC
perl-threads-shared-1.37-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 36 Fedora Update System 2011-08-28 05:40:45 UTC
perl-Test-Simple-0.98-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 37 Fedora Update System 2011-08-28 05:45:06 UTC
perl-parent-0.225-4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 38 Fedora Update System 2011-08-28 05:47:46 UTC
perl-CPAN-Meta-YAML-0.003-7.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 39 Fedora Update System 2011-08-28 05:47:55 UTC
perl-version-0.88-6.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 40 Fedora Update System 2012-01-30 20:55:19 UTC
perl-threads-1.83-4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.